#include <stdio.h> 

int main()
{
  unsigned int n, novi;
  int prethodna, c;
  
  scanf("%u", &n);
  
  prethodna=n%10;
  novi=0;
  n/=10;
  
  while(n!=0)
  {
    c=n%10;
    if(c!=prethodna)
      novi=novi*10+prethodna;
    prethodna=c;
    n/=10;
  }
  
  printf("%u\n", novi);
  
  return 0;
}
